%bcond_without gui

Summary: Linux WPA/WPA2/IEEE 802.1X Supplicant
Name: wpa_supplicant
Epoch: 1
Version: 0.5.8
Release: 16%{?dist}
License: GPL2
Group: System Environment/Kernel
URL: http://hostap.epitest.fi/
Source0: http://hostap.epitest.fi/releases/%{name}-%{version}.tar.gz
Source2: wpa_supplicant.conf
Source3: wpa_supplicant.init
Source4: wpa_supplicant.sysconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pcsc-lite-devel, openssl-devel
BuildRequires: readline-devel, ncurses-devel, madwifi-devel
%{?with_gui:BuildRequires: qt-devel >= 3.3, gcc-c++}

%description
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with
support for WPA and WPA2 (IEEE 802.11i / RSN). It is suitable for both
desktop/laptop computers and embedded systems. Supplicant is the IEEE
802.1X/WPA component that is used in the client stations. It
implements key negotiation with a WPA Authenticator and it controls
the roaming and IEEE 802.11 authentication/association of the wlan
driver.

wpa_supplicant is designed to be a "daemon" program that runs in the
background and acts as the backend component controlling the wireless
connection. wpa_supplicant supports separate frontend programs and a
text-based frontend (wpa_cli) and a GUI (wpa_gui) are included with
wpa_supplicant.

%if %{with gui}
%package gui
Summary: Graphical User Interface for wpa_supplicant
Group: Application/System

%description gui
Graphical User Interface for wpa_supplicant.
%endif

%prep
%setup -q

%build
cp -a defconfig .config
cat >> .config <<EOF
CONFIG_DRIVER_MADWIFI=y
CONFIG_DRIVER_NDISWRAPPER=y
CONFIG_DRIVER_IPW=y
CONFIG_EAP_SIM=y
CONFIG_EAP_PSK=y
CONFIG_EAP_PAX=y
CONFIG_EAP_AKA=y
#CONFIG_EAP_FAST=y
CONFIG_PCSC=y
#CONFIG_DRIVER_TEST=y
CONFIG_READLINE=y
EOF

CFLAGS="%{optflags} -I/usr/kerberos/include -I%{_includedir}/madwifi"
export CFLAGS
make
%if %{with gui}
make wpa_gui
%endif

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_sbindir} \
	   %{buildroot}%{_sysconfdir}/wpa_supplicant \
	   %{buildroot}%{_sysconfdir}/sysconfig \
	   %{buildroot}%{_initdir}
install -p wpa_supplicant wpa_passphrase wpa_cli %{buildroot}%{_sbindir}/
install -p wpa_supplicant.conf %{buildroot}%{_sysconfdir}/wpa_supplicant/wpa_supplicant.conf.sample
install -p -m 0600 %{SOURCE2} %{buildroot}%{_sysconfdir}/wpa_supplicant/
install -p -m 0755 %{SOURCE3} %{buildroot}%{_initdir}/wpa_supplicant
install -p -m 0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/wpa_supplicant

%if %{with gui}
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 wpa_gui/wpa_gui %{buildroot}%{_bindir}
%endif

mkdir -p %{buildroot}/%{_localstatedir}/run/wpa_supplicant

# man pages
install -d %{buildroot}%{_mandir}/man{5,8}
install -m 0644 doc/docbook/*.8 %{buildroot}%{_mandir}/man8
install -m 0644 doc/docbook/*.5 %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%preun
if [ $1 = 0 ]; then
        service wpa_supplicant stop > /dev/null 2>&1
        /sbin/chkconfig --del wpa_supplicant
fi

%post
if [ $1 = 1 ]; then
        chkconfig --add wpa_supplicant
fi

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README *.txt doc examples wpa_supplicant.conf
%{_sbindir}/wpa_supplicant
%{_sbindir}/wpa_passphrase
%{_sbindir}/wpa_cli
%dir %{_sysconfdir}/wpa_supplicant
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/wpa_supplicant/wpa_supplicant.conf
%{_sysconfdir}/wpa_supplicant/wpa_supplicant.conf.sample
%config(noreplace) %{_sysconfdir}/sysconfig/wpa_supplicant
%{_initdir}/wpa_supplicant
%dir %{_localstatedir}/run/wpa_supplicant
%{_mandir}/man8/*
%{_mandir}/man5/*

%if %{with gui}
%files gui
%defattr(-, root, root)
%{_bindir}/wpa_gui
%endif

%changelog
* Sat Jun 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.5.8-16
- Update to 0.5.8.

* Sun Aug 27 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:0.4.9-13
- sync with rawhide/FC.
- FC added epoch in Feb 2006. :(

* Wed May 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.9.
- Update madwifi sources to 0.9.0.

* Thu Feb 16 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.8.

* Sun Dec 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.7.

* Sat Mar  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.3.8.

* Wed Jan  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.6.

* Wed Dec  8 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Add madwifi support.

* Sat Oct 16 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.2.5.

* Sat Jun 26 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

